FIXMOUNT(8)

NAME
fixmount - fix remote mount entries

SYNOPSIS
fixmount [ -adervq ] [ -h name ] host ...

DESCRIPTION

fixmount is a variant of showmount(8) that can delete bogus mount entries in remote mountd(8C) daemons. The actions specified by the options are performed for each host in turn.

OPTIONS

-a -d -e
    These options work as in showmount(8) except that only entries pertaining to the local host are printed.

-r  Removes those remote mount entries on host that do not correspond to current mounts, i.e., which are left-over from a crash or are the result of improper mount protocol. The actuality of mounts is verified using the entries in /etc/mtab.

-v  Verify remote mounts. Similar to -r except that only a notification message is printed for each bogus entry found. The remote mount table is not changed.

-A  Issues a command to the remote mountd declaring that ALL of its filesystems have been unmounted. This should be used with caution, as it removes all remote mount entries pertaining to the local system, whether or not any filesystems are still mounted locally.

-q  Be quiet. Suppresses error messages due to timeouts and "Program not registered", i.e., due to remote hosts not supporting RPC or not running mountd.

-h name
    Pretend the local hostname is name. This is useful after the local hostname has been changed and rmtab entries using the old name remain on a remote machine. Unfortunately, most mountd's won't be able to successfully handle removal of such entries, so this option is useful in combination with -v only.
    This option also saves time as comparisons of remotely recorded and local hostnames by address are avoided.

FILES

/etc/mtab
    List of current mounts.

/etc/rmtab
    Backup file for remote mount entries on NFS server.

SEE ALSO
showmount(8), mtab(5), rmtab(5), mountd(8C).

``am-utils'' info(1) entry.

Linux NFS and Automounter Administration by Erez Zadok, ISBN 0-7821-2739-8, (Sybex, 2001).

http://www.am-utils.org

Amd - The 4.4 BSD Automounter

BUGS
No attempt is made to verify the information in /etc/mtab itself.

Since swap file mounts are not recorded in /etc/mtab, a heuristic specific to SunOS is used to determine whether such a mount is actual (replacing the string "swap" with "root" and verifying the resulting path).

Symbolic links on the server will cause the path in the remote entry to differ from the one in /etc/mtab. To catch those cases, a filesystem is also deemed mounted if its local mount point is identical to the remote entry. I.e., on a SunOS diskless client, server:/export/share/sunos.4.1.1 is actually /usr/share. Since the local mount point is /usr/share as well this will be handled correctly.

There is no way to clear a stale entry in a remote mountd after the local hostname (or whatever reverse name resolution returns for it) has been changed. To take care of these cases, the remote /etc/rmtab file has to be edited and mountd restarted.

The RPC timeouts for mountd calls can only be changed by recompiling. The defaults are 2 seconds for client handle creation and 5 seconds for RPC calls.

AUTHORS
Andreas Stolcke <stolcke@icsi.berkeley.edu>.

Erez Zadok <ezk@cs.sunysb.edu>, Computer Science Department, Stony Brook University, Stony Brook, New York, USA.

Other authors and contributors to am-utils are listed in the AUTHORS file distributed with am-utils.